%define		_major		6
%define		_name		grail
%define		libname		%mklibname %{_name} %{_major}
%define		devname		%mklibname -d %{_name}

Name:		%_name
Version:	3.1.1
Release:	%mkrel 5
License:	GPLv3
Summary:	Gesture Recognition And Instantiation Library
Group:		Development/Other
Url:		https://launchpad.net/grail
Source:		https://launchpad.net/grail/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
#Patch1:		grail-3.0.9-gcc7.patch

BuildRequires:	pkgconfig(mtdev)
BuildRequires:	pkgconfig(evemu)
BuildRequires:	pkgconfig(frame)

%description
Grail consists of an interface and tools for handling
gesture recognition and gesture instantiation.

When a multitouch gesture is performed on a device,
the recognizer emits one or several possible gestures.
Once the context of the gesture is known, i.e.,
in what window the touches land and what gestures
the clients of that window listen to, the instantiator
delivers the matching set of gestures.

The library handles tentative gestures, i.e.,
buffering of events for several alternative gestures
until a match is confirmed.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%check
%make_build check

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%doc README COPYING
%{_bindir}/grail*
%{_mandir}/man1/grail*

#---------------------------------------------

%package -n %libname
Summary:        GRAIL Library Package
Group:          System/Libraries

%description -n %libname
This package contains the library needed to run programs
dynamically linked with grail.

%files -n %libname
%{_libdir}/libgrail.so.*

#---------------------------------------------

%package -n %devname
Summary:        Gesture Recognition And Instantiation Library Development Package
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %devname
This package provides headers files for grail development.

%files -n %devname
%{_includedir}/oif/grail.h
%{_libdir}/pkgconfig/grail.pc
%{_libdir}/libgrail.so


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.1.1-5.mga10
+ Revision: 2213420
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 3.1.1-4.mga9
+ Revision: 1838382
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 3.1.1-3.mga8
+ Revision: 1512699
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.1.1-2.mga7
+ Revision: 1298060
- Mageia 7 Mass Rebuild

* Wed Mar 28 2018 kekepower <kekepower> 3.1.1-1.mga7
+ Revision: 1213229
- Update to version 3.1.1

* Mon Oct 02 2017 cjw <cjw> 3.0.9-10.mga7
+ Revision: 1163808
- patch1: fix build with gcc 7

* Mon Feb 15 2016 umeabot <umeabot> 3.0.9-9.mga6
+ Revision: 960543
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.9-8.mga5
+ Revision: 740078
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.9-7.mga5
+ Revision: 679925
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 danf <danf> 3.0.9-6.mga5
+ Revision: 674471
- Include test programs in main package
- Moved development library into -devel package & don't depend on main package
- Enabled run-time tests at RPM build time

* Fri Oct 18 2013 umeabot <umeabot> 3.0.9-5.mga4
+ Revision: 505225
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.9-4.mga3
+ Revision: 352560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ matteo <matteo>
- check for lib major correspondance

* Mon Jan 07 2013 matteo <matteo> 3.0.9-3.mga3
+ Revision: 340612
- fixed wrong requirement

* Mon Jan 07 2013 matteo <matteo> 3.0.9-2.mga3
+ Revision: 340431
- fixed lib major

* Sun Jan 06 2013 matteo <matteo> 3.0.9-1.mga3
+ Revision: 340339
- fixed grail package files
- new version

* Fri Aug 24 2012 matteo <matteo> 3.0.6-1.mga3
+ Revision: 283620
- fixed typo in description
- imported package grail

